Your IP : 216.73.216.209


Current Path : /bin/
Upload File :
Current File : //bin/texhash

#!/bin/sh
# original mktexlsr -- create or rebuild ls-R.
# 
# (If you change or delete the word `original' on the previous line,
# installation won't write this script over yours.)
#
# Suitable for calling from cron, as in:
# 0 * * * * cd /your/texmf/root && /usr/local/texlive/bin/mktexlsr
# 
# Originally written as `texhash' by Thomas Esser
# <te@dbs.uni-hannover.de>, Okt., 1994.
# Public domain.

version='$Id: mktexlsr 23151 2011-06-27 22:27:02Z karl $'
progname=`echo $0 | sed 's%.*/%%'`
usage="Usage: $progname [OPTION]... [DIR]...

Rebuild ls-R filename databases used by TeX.  If one or more arguments
DIRS are given, these are used as the directories in which to build
ls-R. Else all directories in the search path for ls-R files
(\$TEXMFDBS) are used.

Options:
  --dry-run  do not actually update anything
  --help     display this help and exit 
  --quiet    cancel --verbose
  --silent   same as --quiet
  --verbose  explain what is being done
  --version  output version information and exit
  
If standard input is a terminal, --verbose is on by default.

For more information, see the \`Filename database' section of
Kpathsea manual available at http://tug.org/kpathsea.

Report bugs to tex-k@tug.org.
"

# MS-DOS and MS-Windows define $COMSPEC or $ComSpec and use `;' to separate
# directories in path lists whereas Unix uses `:'.  Make an exception for
# Cygwin, which pretends to be UNIX.
# Create a variable that holds the right character to be used by the scripts.
DOSISH=no
case `uname -s` in
  CYGWIN*|Cygwin*|cygwin*) ;;
  *) if test -n "$COMSPEC" || test -n "$ComSpec"; then DOSISH=yes; fi
esac
if test "$DOSISH" = "no"; then SEP=':'; else SEP=';';fi

# Add the location of the script to the PATH if necessary.  This must
# be done before kpsewhich can be called, and thus cannot be put into
# mktex.opt.
dirname=`echo $0 | sed 's%/*[^/][^/]*$%%'`
case $dirname in
  "") # Do nothing
      ;;
  /* | [A-z]:/*) # Absolute name
      PATH="$dirname$SEP$PATH"
      export PATH ;;
   *)  # Relative name
      PATH="`pwd`/$dirname$SEP$PATH"
      export PATH ;;
esac

if tty -s; then verbose=true; else verbose=false; fi
dry_run=false
trees=

treefile="${TMPDIR-/tmp}/mktexlsrtrees$$.tmp"
trap 'cd /; rm -f $treefile; test -z "$db_dir_tmp" || rm -rf "$db_dir_tmp"; 
      exit' 0 1 2 3 7 13 15

# A copy of some stuff from mktex.opt, so we can run in the presence of
# terminally damaged ls-R files.
while test $# -gt 0; do
  if test "x$1" = x--help || test "x$1" = x-help; then
    echo "$usage"
    exit 0
  elif test "x$1" = x--version || test "x$1" = x-version; then
    echo "`basename $0` $version"
    kpsewhich --version
    exit 0
  elif test "x$1" = x--verbose || test "x$1" = x-verbose; then
    verbose=true
  elif test "x$1" = x--dry-run || test "x$1" = x-n; then
    dry_run=true
  elif test "x$1" = x--quiet || test "x$1" = x--silent \
       || test "x$1" = x-quiet || test "x$1" = x-silent ; then
    verbose=false
  elif test "x$1" = x--; then
    :
  elif echo "x$1" | grep '^x-' >/dev/null; then
    echo "$progname: unknown option \`$1', try --help if you need it." >&2
    exit 1
  else
    if test ! -d "$1"; then
      echo "$progname: $1: not a directory, skipping." >&2
      shift
      continue
    fi
    # By saving the argument in a file, we can later get it back while
    # supporting spaces in the name.  This still doesn't support
    # newlines in the directory names, but nobody ever complains about
    # that, and it seems much too much trouble to use \0 terminators.
    (umask 077
    if echo "$1" >>"$treefile"; then :; else
      echo "$progname: $treefile: could not append to arg file, goodbye." >&2
      exit 1
    fi
    )
  fi
  shift
done

# mktexupd and mktexlsr make sure they're coordinated via this.  A copy
# is found mktex.opt.
ls_R_magic='% ls-R -- filename database for kpathsea; do not change this line.'
# The old string, which should continue to work.
old_ls_R_magic='% ls-R -- maintained by MakeTeXls-R; do not change this line.'

{
  # Get list of directories from the explicit arguments (now saved in
  # $treefile), or $TEXMFDBS if no explicit args.  Eliminate duplicates.
  saveIFS=$IFS  # break only at newline
  IFS='
'
  if test -s "$treefile"; then
    set x `sort "$treefile" | uniq`
  else
    set x `kpsewhich --show-path=ls-R | tr : '
' | sort | uniq`
  fi
  IFS=$saveIFS
  shift
}

for TEXMFLS_R in "$@"; do
  # Prepend cwd if the directory was relative.
  case "$TEXMFLS_R" in
  "") continue ;;  # Strictly speaking, it is an error if this case is taken.
  /* | [A-z]:/*) ;;
  *)  TEXMFLS_R="`pwd`/$TEXMFLS_R"
  esac
  # Allow for either ls-R and ls-r to exist.  But create ls-R if we're
  # working from scratch.
  if test -f "$TEXMFLS_R/ls-R"; then
    db_file="$TEXMFLS_R/ls-R"
  elif test -f "$TEXMFLS_R/ls-r"; then
    db_file="$TEXMFLS_R/ls-r"
  else
    db_file="$TEXMFLS_R/ls-R"
  fi
  # Follow a possible symlink to get the right filesystem. 
  # The '|| true' construct prevents an sh -e aborting.
  db_readlink=`kpsereadlink "$TEXMFLS_R/ls-R" 2>/dev/null` || true
  case "$db_readlink" in
  "") ;;
  /* | [A-z]:/*) db_file="$db_readlink" ;;
  *)  db_file="$TEXMFLS_R/$db_readlink"
  esac
  db_dir=`echo "$db_file" | sed 's%/[^/][^/]*$%%'` # can't rely on dirname

  # want to be silent if the directory doesn't exist, since the ls-R
  # path ordinarily contains many nonexistent directories.
  test -d "$db_dir" || continue
  test -w "$db_dir" || { echo "$progname: $db_dir: directory not writable. Skipping..." >&2; continue; }

  if test ! -f "$db_file"; then
    cp /dev/null "$db_file"
    # Use same permissions as parent directory, minus x,s, or t bits.
    chmod `kpsestat -xst "$db_dir"` "$db_file"
  elif test -s "$db_file" \
       && test "x`sed '1s/
$//;1q' \"$db_file\"`" != "x$ls_R_magic" \
       && test "x`sed '1s/
$//;1q' \"$db_file\"`" != "x$old_ls_R_magic"; then
    echo "$progname: $db_file: no magic string, skipping..." >&2
    continue
  fi

  # Skip if we cannot write the file:
  kpseaccess -w "$db_file" || { echo "$progname: $db_file: no write permission, skipping..." >&2; continue; }

  db_dir_tmp="$db_dir/lsR$$.tmp"
  (umask 077 && mkdir "$db_dir_tmp" ) \
    || { echo "$progname: $db_dir_tmp: could not create directory, skipping..." >&2; continue; }
  db_file_tmp="$db_dir_tmp/lsR$$.tmp"
  rm -f "$db_file_tmp"

  $verbose && echo "$progname: Updating $db_file... " >&2
  $dry_run && continue
  
  echo "$ls_R_magic" >"$db_file_tmp"

  # The main task. We put ./: in the output, so top-level files can be
  # found via ls-R. Probably irrelevant in practice.  The sed command
  # inserts the leading ./ for directory names, and removes ., .., and
  # version control entries from the list.  Also omit contents of any
  # the version directories; sed apparently requires that we do that
  # operation in a separate invocation.  We do not try to support colons
  # in directory names.
  # 
  echo "./:" >>"$db_file_tmp"
  vc_dirs='\.\(bzr\|git\|hg\|svn\)\|_darcs'
  (cd "$TEXMFLS_R" && \ls -LRa 2>/dev/null) \
   | sed -e '/^$/{n;s%^\./%%;s%^%./%;}; /^\.$/d; /^\.\.$/d; /^'$vc_dirs'$/d;' \
         -e '/^[\.\/]*lsR[0-9]*\.tmp:*$/d' \
   | sed -e /$vc_dirs'.*:$/,/^$/d' \
   >>"$db_file_tmp"
  # selinux
  chmod 0644 "$db_file_tmp"
  rm -f "$db_file"
  cp "$db_file_tmp" "$db_file"
  if [ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled; then
  [ -x /sbin/restorecon ] && /sbin/restorecon -R $(dirname "$db_file") #%{_texmf_var}/
  fi
  rm -rf "$db_dir_tmp"
done
$verbose && echo "$progname: Done." >&2
exit 0

Rosenblum TV: Video training, virtual workshops, classes, tutorials
logologologologo
  • About
  • What We Do
  • Our Clients
  • Case Studies
    • The BBC
    • CBS News
    • New York Times Television
    • Spectrum News
    • The Newark Star-Ledger
    • The United Nations
    • McGraw/Hill
    • Oyster Yachts
    • Scottish Environmental Protection Agency
  • The Power of Storytelling
  • Why iPhones?
  • Michael on Media
  • Books
  • Contact
  • About
  • What We Do
  • Our Clients
  • Case Studies
    • The BBC
    • CBS News
    • New York Times Television
    • Spectrum News
    • The Newark Star-Ledger
    • The United Nations
    • McGraw/Hill
    • Oyster Yachts
    • Scottish Environmental Protection Agency
  • The Power of Storytelling
  • Why iPhones?
  • Michael on Media
  • Books
  • Contact

RE-INVENTING THE TELEVISION NEWS BUSINESS*

A revolution in video storytelling

Creating entirely new & cost-effective production methods

From the world leaders in video production training and the creators of Character Driven Storytelling™

*and every other business that uses video

WHAT WE DO

Over the past 35 years, we have designed, built or restructured some of the most powerful news and journalism companies in the world.

We replace the traditional TV news ‘crew’ with one highly trained journalist, working alone with nothing but an iPhone.

No more TV news ‘crews’, no editors and no field producers.

This is television news done the way newspaper journalism is done – one reporter with their electronic pad and pencil.

In doing this, we can cut the cost of production by as much as 75% while increasing ratings and audience engagement.

In the place of conventional TV news ‘packages’ – ie, reporter stand up, interview, b-roll, man on the street, we marry great journalism with Netflix and Hollywood storytelling.

It’s a combination that works.

We have taken most of our clients to #1 in their respective markets.

And it’s not just for news. Any company, any profit, any NGO and anyone else who is online needs to tell their story in compelling yet cost-effective video. We can teach you to do that. Either in person or virtually.

EXAMPLES OF WHAT WE CAN TEACH YOUR STAFF TO PRODUCE

ITAY HOD

Itay Hod, MMJ with KPIX/CBS in San Francisco, took the 5-Day Intensive Video Storytelling Bootcamp in 2018.

Because he works alone, with only an iPhone, he was able to embed himself with a homeless family.

Here’s the story he produced in a one-day turn.

KIET DO

Kiet Do, an MMJ with KPIX/CBS in San Francisco, took the 5-Day Intensive Video Storytelling Bootcamp in 2021.

Here is a story he produced, all on his own, with only an iPhone and in a one-day turn.

TAYLOR SCHAUB

Taylor Schaub, an MMJ with Spectrum News 1 in LA, took the 5-Day Intensive Video Storytelling Bootcamp in 2023.

Here is a story he turned in only one day, using only an iPhone. It was the first video story he ever did and it was nominated for an Emmy.

THE BOOTCAMP

How do we convert stations and whole networks to working in this way?

Since 1988, we have run intensive 5-Day Video Storytelling Bootcamps

We have done these all over the world.

These are hands-on bootcamps, and participants learn an entirely new way of creating TV news stories.

-We shoot at a 3:1 ratio or lower, so turnaround times are fast.

-We go directly from camera to timelilne and edit – no written scripts.  We work in the medium of pictures and sound.

-We are entirely character-driven.

-We are driven by pictures and real events.

-We are focused almost entirely on ’the viewer experience’.

Since 1988, more than 70,000 journalists around the world have taken our bootcamps, either in person on virtualy.

Case Studies

CBS Case Study Logos
CBS News

We have started to work with CBS News, bringing our ideas of character-driven storytelling to one of the most successful and biggest networks in the United States. Since beginning to work with them ratings have climbed and more importantly, audience engagement is through the ceiling.

Learn More
NYT Case Study Logos
New York Times Television

We started New York Times Television in 1990 and it was the first paper to be brought into the world of TV. It quickly became one of the most successful non-fiction production companies in the United States. The series and documentaries we produced won many awards including multiple Emmys.

Learn More
BBC Case Study Logos
The BBC

We have been working with the BBC since the year 2000 helping to convert their national news network to our visual storytelling technique. Most recently we have trained teams from their sports, documentaries, and comedy divisions to make character-driven stories using only smartphones.

Learn More
Spectrum Case Study Logos
Spectrum News

For the past five years we have worked with Spectrum News to introduce and train their journalists on visual, character driven storytelling using smartphones helping to create a different kind of local news for their network of 24-Hour News Stations across the United States.

Learn More
UN Case Study Logos
The United Nations

In 2006, we were approached by the United Nations. Rather than rely on news outlets, it would be much easier to train the field operatives to produce their own stories. We spent two years working with the UN, training more than 100 of their staff in bootcamps in Geneva and Nairobi.

Learn More
Star Ledger Case Study Logos
The Newark Star-Ledger

We trained 50 print reporters at the paper to shoot and tell their own stories, in conjunction with their print work. We built a TV newsroom in their existing print newsroom – you could not ask for a better set and they began to live stream their stories in conjunction with their print work.

Learn More
Mcgraw Hill Case Study Logos
Mcgraw Hill

We spent two years with McGraw Hill, training more than 150 of their staffers, making them completely video literate. McGraw/Hill media properties we transit included Business Week, Aviation Week, (what was the name of the architecture magazine), and JD Power and Associates.

Learn More
VOA Case Study Logos
Voice of America

In 1990, we were approached by The Voice of America, the official broadcasting agency for the United States Government. When we met with VOA, they were only a short wave radio broadcaster, but working with them, we took them into television, launching VOA-TV.

Learn More
Oyster Case Study Logos
Oyster Yachts

British based Oyster Yachts makes some of the finest yachts in the world. Like every other company, they had to find a way to feed the never-ending video demands of social media – sites like Instagram and TikTok. We trained the Oyster staff to tell their own stories, using only iPhones.

Learn More
SEPA Case Study Logos
Scottish Environmental Protection Agency

We were approached by SEPA, the Scottish Environmental Protection Agency because they had to continually find a way to ‘feed the media beast’. The result was that SEPA was able to tell their own stories, whenever they wanted, and at almost no additional cost.

Learn More
Image 11-11-22 at 6.25 PM

Michael on Media

Michael Rosenblum has been writing about the media since 1988. His work and ideas have appeared in The Guardian, The Huffington Post, Ilkeston Life and many other publications.

He has been blogging regularly for the past 35 years on this subject. Having taught media studies at Columbia University, NYU and now the University of Oxford, he is considered an expert on this subject.

Continue reading this post or look back at previous posts.

Read More

Do You Have Questions About Learning Video Skills?

If you would like to know more about our courses contact us and one of our training advisors will be happy to call you.

Contact Us

Copyright 2024. All rights reserved.